package sun.java2d.pipe;

import java.awt.Rectangle;
import java.awt.Shape;
import sun.java2d.SunGraphics2D;

public class AlphaColorPipe implements CompositePipe, ParallelogramPipe
{
    public AlphaColorPipe() {
    }
    
    @Override
    public Object startSequence(SunGraphics2D sunGraphics2D, Shape shape, Rectangle rectangle, int[] array) {
        return sunGraphics2D;
    }
    
    @Override
    public boolean needTile(Object o, int n, int n2, int n3, int n4) {
        return true;
    }
    
    @Override
    public void renderPathTile(Object o, byte[] array, int n, int n2, int n3, int n4, int n5, int n6) {
        SunGraphics2D sunGraphics2D = (SunGraphics2D)o;
        sunGraphics2D.alphafill.MaskFill(sunGraphics2D, sunGraphics2D.getSurfaceData(), sunGraphics2D.composite, n3, n4, n5, n6, array, n, n2);
    }
    
    @Override
    public void skipTile(Object o, int n, int n2) {
    }
    
    @Override
    public void endSequence(Object o) {
    }
    
    @Override
    public void fillParallelogram(SunGraphics2D sunGraphics2D, double n, double n2, double n3, double n4, double n5, double n6, double n7, double n8, double n9, double n10) {
        sunGraphics2D.alphafill.FillAAPgram(sunGraphics2D, sunGraphics2D.getSurfaceData(), sunGraphics2D.composite, n5, n6, n7, n8, n9, n10);
    }
    
    @Override
    public void drawParallelogram(SunGraphics2D sunGraphics2D, double n, double n2, double n3, double n4, double n5, double n6, double n7, double n8, double n9, double n10, double n11, double n12) {
        sunGraphics2D.alphafill.DrawAAPgram(sunGraphics2D, sunGraphics2D.getSurfaceData(), sunGraphics2D.composite, n5, n6, n7, n8, n9, n10, n11, n12);
    }
}
